#
# Conditional build:
%bcond_without	rdp	# RDP support
%bcond_without	spice	# Spice support
%bcond_without	ssh	# SSH support

Summary:	VNC client for the GNOME desktop
Summary(pl.UTF-8):	Klient VNC dla środowiska GNOME
Name:		vinagre
Version:	3.22.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/vinagre/3.22/%{name}-%{version}.tar.xz
# Source0-md5:	451554ddf46636105cd5f0330e98d254
Patch0:		%{name}-freerdp.patch
URL:		https://wiki.gnome.org/Apps/Vinagre
BuildRequires:	appstream-glib-devel
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	avahi-gobject-devel >= 0.6.26
BuildRequires:	avahi-ui-gtk3-devel >= 0.6.26
BuildRequires:	dbus-glib-devel
%{?with_rdp:BuildRequires:	freerdp-devel >= 1.0}
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gtk+3-devel >= 3.9.6
BuildRequires:	gtk3-vnc-devel >= 0.4.3
BuildRequires:	intltool >= 0.50.0
BuildRequires:	itstool
BuildRequires:	libsecret-devel
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig >= 1:0.24
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	spice-gtk-devel >= 0.5
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.12.0
BuildRequires:	vala >= 2:0.12.0
%{?with_ssh:BuildRequires:	vte-devel >= 0.28.0}
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.28.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	shared-mime-info
Requires:	glib2 >= 1:2.28.0
Requires:	gtk+3 >= 3.9.6
Requires:	gtk3-vnc >= 0.4.3
Requires:	hicolor-icon-theme
Requires:	libxml2 >= 1:2.6.31
%{?with_ssh:Requires:	vte >= 0.28.0}
Suggests:	openssh-clients
Obsoletes:	gnome-applet-vinagre
Obsoletes:	vinagre-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vinagre is a VNC client for the GNOME desktop environment.

%description -l pl.UTF-8
Vinagre to klient VNC dla środowiska graficznego GNOME.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	SSH_PROGRAM=%{_bindir}/ssh \
	--with-avahi \
	--with-telepathy \
	%{!?with_rdp:--disable-rdp} \
	--disable-silent-rules \
	--disable-schemas-compile \
	%{!?with_spice:--disable-spice} \
	%{!?with_ssh:--disable-ssh}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang vinagre --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor

%files -f vinagre.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/vinagre
%{_datadir}/GConf/gsettings/org.gnome.Vinagre.convert
%{_datadir}/appdata/vinagre.appdata.xml
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vinagre.service
%{_datadir}/glib-2.0/schemas/org.gnome.Vinagre.gschema.xml
%{_datadir}/mime/packages/vinagre-mime.xml
%{_datadir}/telepathy/clients/Vinagre.client
%{_datadir}/vinagre
%{_desktopdir}/vinagre-file.desktop
%{_desktopdir}/vinagre.desktop
%{_iconsdir}/hicolor/*x*/mimetypes/application-x-remote-connection.png
%{_iconsdir}/hicolor/*x*/mimetypes/application-x-vnc.png
%{_iconsdir}/hicolor/*x*/status/view-minimize.png
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-remote-connection.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-vnc.svg
%{_mandir}/man1/vinagre.1*
%changelog
* Sun Nov 27 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vinagre.git;a=log;h=master

* Sun Nov 27 2016 Jan Rękorajski <baggins@pld-linux.org> f47b2fd
- more freerdp compat fixes

* Sat Nov 26 2016 Jan Rękorajski <baggins@pld-linux.org> ee70e23
- uo to 3.22.0

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 1f2c698
- updated to 3.18.2
- added freerdp patch (restores compatibility with freerdp < 1.1)

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 3e2abb3
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 50694f7
- updated gettext BR

* Thu Dec 25 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 0851c9f
- Update to 3.14.3

* Wed Nov 19 2014 Jan Rękorajski <baggins@pld-linux.org> 2720909
- updated BRs

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 2c84fb5
- up to 3.14.2

* Sat May 17 2014 Marcin Banasiak <marcin.banasiak@gmail.com> ef7c583
- Fix Source0 md5 sum

* Sat May 17 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 2b20914
- Update to 3.12.2

* Wed Oct 02 2013 Artur Frysiak <artur@frysiak.net> 75e552c
- Up to 3.10.0

* Thu Aug 01 2013 Marcin Banasiak <marcin.banasiak@gmail.com> c654d86
- Update to 3.8.3

* Tue Jun 18 2013 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 8cd1aea
- updated to 3.8.2

* Fri May 03 2013 Elan Ruusamäe <glen@delfi.ee> ec4dd6e
- suggest ssh and rdesktop (used for connecting remotes)

* Sat Feb 02 2013 Łukasz Kieś <kiesiu@pld-linux.org> bcf172e
- updated to 3.6.2

* Fri Oct 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 0d52af2
- Update to 3.6.1

* Mon Oct 15 2012 Jan Rękorajski <baggins@pld-linux.org> d2b50ec
- 3.6.0

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> 31e1df7
- rebuild with fixed rpm macros
- release 3 (by relup.sh)

* Sat Sep 22 2012 Jan Rękorajski <baggins@pld-linux.org> d6fc960
- release 2 (by relup.sh)

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> d4956db
- Up to 3.4.2
- BR: itstool

